Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu.template
Class TemplateRenderContext

    java.lang.Object
      juzu.template.TemplateRenderContext

    public class TemplateRenderContext

extends Object

Author:
  Julien Viet

Constructor Summary
`TemplateRenderContext(juzu.impl.template.spi.TemplateStub stub)`
`TemplateRenderContext(juzu.impl.template.spi.TemplateStub stub, Locale locale)`
`TemplateRenderContext(juzu.impl.template.spi.TemplateStub stub, Map<String,?> attributes)`
`TemplateRenderContext(juzu.impl.template.spi.TemplateStub stub, PropertyMap properties, Map<String,?> attributes, Locale locale)`

Method Summary
`Map<String,?>` | `getAttributes()`
`Locale` | `getLocale()`
`Stream.Char` | `getPrinter()`
`StringBuilder` | `render()`
`void` | `render(Stream.Char printer)`
`Object` | `resolveBean(String expression)`
`String` | `resolveMessage(juzu.impl.template.spi.juzu.dialect.gtmpl.MessageKey key)`
`juzu.impl.template.spi.TemplateStub` | `resolveTemplate(String path)`
`void` | `setTitle(String title)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateRenderContext

    public TemplateRenderContext(juzu.impl.template.spi.TemplateStub stub)

### TemplateRenderContext

    public TemplateRenderContext(juzu.impl.template.spi.TemplateStub stub,
                                 Map<String,?> attributes)

### TemplateRenderContext

    public TemplateRenderContext(juzu.impl.template.spi.TemplateStub stub,
                                 Locale locale)

### TemplateRenderContext

    public TemplateRenderContext(juzu.impl.template.spi.TemplateStub stub,
                                 PropertyMap properties,
                                 Map<String,?> attributes,
                                 Locale locale)

Method Detail

### getAttributes

    public Map<String,?> getAttributes()

### getLocale

    public Locale getLocale()

### getPrinter

    public Stream.Char getPrinter()

### setTitle

    public void setTitle(String title)

### resolveTemplate

    public juzu.impl.template.spi.TemplateStub resolveTemplate(String path)

### resolveBean

    public Object resolveBean(String expression)
                       throws InvocationTargetException

  Throws:
    `InvocationTargetException`

### resolveMessage

    public String resolveMessage(juzu.impl.template.spi.juzu.dialect.gtmpl.MessageKey key)

### render

    public StringBuilder render()
                         throws IOException

  Throws:
    `IOException`

### render

    public void render(Stream.Char printer)
                throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 eXo Platform SAS. All Rights Reserved.